# Testnet Guide

**This is a guide to integrate and test smol domains on arbitrum testnet with .smoltest**&#x20;

## **Minting a Domain**

First you will need to obtain testnet ETH, Learn more on how get some here <https://docs.infura.io/infura/networks/arbitrum/how-to/get-testnet-eth>

Once you have done that head over to the[ .smoltest contract](https://testnet.arbiscan.io/address/0x0eB60B697428597CE58650173eFEd2F32ADD7E93#writeContract), and navigate to function **#9 Mint**

![What to fill in to mint a domain](/files/vddh9qIpwbwuQinSwft2)

In **domainName** input the domain you want to mint, in this case i would get **astro.smoltest**, in the **\_domainHolder** and **\_referrer** fields input the address you want to mint the domain to than click "**Write**"

## **Integrating onto your site**

To get a users default domain you want to call function 2 on this resolver contract: <https://testnet.arbiscan.io/address/0xe2b9bC4c1d65B5F5583144d9d5c5F0683158C372#readProxyContract>

![](/files/zvbQ2Az7X0IYZAHACNwf)

In the **\_addr** field input the users address than put **.smoltest in the \_tld** field and click "**Query**" to get the users default domain


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smol.domains/integreation-docs/testnet-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
